import 'dart:developer';

import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_1flow_sdk/flutter_1flow_sdk.dart';

void main() {
  runApp(MyApp());
  String projectKey = "<Your 1Flow Project key>";
  OneFlow.configure(projectKey);
  OneFlow.getSDKVersion().then((version) {
  print("version:" + version);
});

 OneFlow.logUser('Test user',null);
 // OneFlow.useFont(fontFamily: "Courier New"); //For iOS Only
  //OneFlow.useFont(path: "fonts/pacifico.ttf"); // For Android Only
  //OneFlow.useFont(fontFamily: "Courier New", path: "fonts/pacifico.ttf"); // For iOS & Android Both
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();

    OneFlow.methodchannel.setMethodCallHandler(oneFlowSurveyFinishNotificationHandler);

    initPlatformState();
  }

Future<void> oneFlowSurveyFinishNotificationHandler(MethodCall call) async {
      final String method = call.method;
      dynamic argument = call.arguments;
                  print("oneFlowSurveyFinishNotificationHandler"); 
      switch(method) { 
          case "oneFlowSurveyFinishNotification": {  
            print("oneFlowSurveyFinishNotification: $argument");
          } 
          break; 
          default: { 
            print("Invalid choice"); 
          } 
          break; 
      } 
}
   void recordEvent(){
   try {
        OneFlow.recordEventName('Net Promoter Score', null);
        print('recordEventName: Done');
      } on PlatformException {
      print('recordEventName: error occured');
    }
      }


  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    
    if (!mounted) return;

    setState(() {

    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: TextButton(onPressed: () {recordEvent();}, child: Text("Record Event")),
        ),
      ),
    );
  }
}
